curl --request POST \
--url https://cloud.kaneo.app/api/notification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"title": "<string>",
"message": "<string>",
"type": "<string>",
"relatedEntityId": "<string>",
"relatedEntityType": "<string>"
}
'{
"id": "<string>",
"userId": "<string>",
"title": "<string>",
"content": "<string>",
"type": "info",
"createdAt": "<unknown>",
"isRead": true,
"resourceId": "<string>",
"resourceType": "task"
}Create a new notification for a user
curl --request POST \
--url https://cloud.kaneo.app/api/notification \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"title": "<string>",
"message": "<string>",
"type": "<string>",
"relatedEntityId": "<string>",
"relatedEntityType": "<string>"
}
'{
"id": "<string>",
"userId": "<string>",
"title": "<string>",
"content": "<string>",
"type": "info",
"createdAt": "<unknown>",
"isRead": true,
"resourceId": "<string>",
"resourceType": "task"
}API Key authentication
Notification created successfully
info, task_created, workspace_created, task_status_changed, task_assignee_changed, time_entry_created task, workspace